List sessions

Lists sessions for the authenticated user, with support for cursor-based pagination.

When order is omitted, sessions are returned ordered by creation time descending (creation_date-, equivalent to created_at-). To list sessions ordered by most recent activity (including sessions that received new turns), pass order=last_modification_date- (equivalent to order=updated_at-).

Lists sessions for the authenticated user, with support for cursor-based pagination.

Ordering

When the order parameter is omitted, sessions are returned ordered by creation time descending (creation_date-, equivalent to created_at-).

To list sessions ordered by most recent activity (including sessions that received new turns), pass order=last_modification_date- (equivalent to order=updated_at-).

The order parameter follows the VirusTotal API v3 <field> or <field>+/- syntax (+ for ascending, - for descending). Supported timestamp fields and aliases:

  • last_modification_date (aliases: updated_at, update_time, updated)
  • creation_date (aliases: created_at, create_time, created)

Example: Retrieve recently active sessions

curl -X GET "https://www.virustotal.com/api/v3/agentspace/sessions?order=last_modification_date-" \
  -H "x-apikey: <YOUR_API_KEY>"

Filtering

Use the filter parameter to restrict the returned sessions with a filter expression (e.g., tags:my_tag).

Query Params
integer
Defaults to 5

Maximum number of sessions to return per page.

string

A token identifying a page of results.

string
Defaults to creation_date-

Sort order for sessions using VirusTotal API v3 <field> or <field>+/- syntax (+ for ascending, - for descending). Supported timestamp fields and aliases: last_modification_date (updated_at, update_time, updated) and creation_date (created_at, create_time, created). Defaults to creation_date-.

string

Filter expression to restrict returned sessions (e.g., tags:my_tag).

Headers
string
required

Your API key.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json